phantomjs是否使用qtwebkit或眨眼?[英] Does PhantomJS use QtWebKit or Blink?

问题描述

phantomjs(casperjs)是否使用webkit或chromium作为默认的浏览器驱动器? 如果WebKit,它是直接WebKit还是QT还是GTK?

推荐答案

phantomjs基于qtwebkit.

常见问题解答:

问:phantomjs使用了哪个WebKit版本?

a:如果您想知道phantomjs支持的HTML5/CSS3/其他功能,则使用WebKit版本不是一个好主意.有关详细信息,请参见支持的Web标准文档页面.

如果您真的喜欢获得WebKit版本,请通过用户代理找到它,请运行示例/useragent.js.实际版本取决于phantomjs被编译的库.

在phantomjs 1.9.8中是534.34.基于此页面/05/2011.

Phantomjs 2将使用538.1 发布于2013年11月:

截至2014年5月,它基于Webkit 538.1(7个月大).


casperjs在phantomjs(webkit)或slimerjs(gecko)的顶部运行.目前没有其他引擎可用.

本文地址:https://www.itbaoku.cn/post/1739916.html